# Class CIM_FRU
extends CIM_ManagedElement

The CIM_FRU class is a vendor-defined collection of Products and/or PhysicalElements that is associated with a Product for the purpose of supporting, maintaining or upgrading that Product at the customer's location. FRU is an acronym for 'field replaceable unit'.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_FRU

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_FRU class is a vendor-defined collection of Products and/or PhysicalElements that is associated with a Product for the purpose of supporting, maintaining or upgrading that Product at the customer's location. FRU is an acronym for 'field replaceable unit'.
UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CustomerReplaceable | boolean |
Description | string | Indicates whether the FRU is customer replaceable.
Description | string |
Description | string | A textual description of the FRU.
MappingStrings | string | MIF.DMTF|FRU|002.3
Override | string | Description
FRUNumber | string |
Description | string | FRU ordering information.
Key | boolean | true
MappingStrings | string | MIF.DMTF|FRU|002.6
MaxLen | uint32 | 64
IdentifyingNumber | string |
Description | string | FRU identification such as a serial number on software or a die number on a hardware chip.
Key | boolean | true
MappingStrings | string | MIF.DMTF|FRU|002.7
MaxLen | uint32 | 64
Name | string |
Description | string | FRU name.
MaxLen | uint32 | 256
RevisionLevel | string |
Description | string | The FRU's revision level.
MappingStrings | string | MIF.DMTF|FRU|002.8
MaxLen | uint32 | 64
Vendor | string |
Description | string | The name of the FRU's supplier.
Key | boolean | true
MappingStrings | string | MIF.DMTF|FRU|002.4
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods